#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Documentation Utilities
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji
Name:		docutils
Version:	0.21.2
Release:	4
License:	Public Domain, BSD, GPL v3 (see COPYING.txt)
Group:		Development/Tools
# original URL, but only with major releases: http://downloads.sourceforge.net/docutils/%{name}-%{version}.tar.gz
#Source0Download: https://pypi.org/simple/docutils/
Source0:	https://pypi.debian.net/docutils/%{name}-%{version}.tar.gz
# Source0-md5:	c4064e1e0e3cd142951fd2b95b830874
Patch0:		pygments-2.19.patch
URL:		http://docutils.sourceforge.net/
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-installer
%if %{with tests}
# py3 patch assumes python3 lexer is the default, as it is since pygments 2.5.0
BuildRequires:	python3-pygments >= 2.5.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-%{name} = %{version}-%{release}
Obsoletes:	docutils-3 < 0.16-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

%description -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

%package -n python3-%{name}
Summary:        Text documents processing modules for Python 3.x
Summary(pl.UTF-8):      Moduły Pythona 3.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python
Requires:	python3-modules >= 1:3.5
Requires:	python3-pygments

%description -n python3-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 3.

%description -n python3-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 3.

%prep
%setup -q
%patch -P0 -p2

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python3(\s|$),#!%{__python3}\1,' \
      docutils/__main__.py \
      docutils/parsers/commonmark_wrapper.py \
      docutils/parsers/recommonmark_wrapper.py \
      docutils/utils/error_reporting.py \
      docutils/utils/math/math2html.py \
      docutils/utils/math/mathalphabet2unichar.py \
      docutils/utils/math/tex2unichar.py \
      docutils/writers/_html_base.py \
      docutils/writers/odf_odt/prepstyles.py \
      docutils/writers/xetex/__init__.py

%build
%{__python3} -m build --wheel --no-isolation --outdir build-3

%if %{with tests}
PYTHONPATH=$(pwd)/build-3/lib \
%{__python3} test/alltests.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} -m installer --destdir=$RPM_BUILD_ROOT build-3/*.whl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/docutils
%attr(755,root,root) %{_bindir}/rst2html
%attr(755,root,root) %{_bindir}/rst2html4
%attr(755,root,root) %{_bindir}/rst2html5
%attr(755,root,root) %{_bindir}/rst2latex
%attr(755,root,root) %{_bindir}/rst2man
%attr(755,root,root) %{_bindir}/rst2odt
%attr(755,root,root) %{_bindir}/rst2pseudoxml
%attr(755,root,root) %{_bindir}/rst2s5
%attr(755,root,root) %{_bindir}/rst2xetex
%attr(755,root,root) %{_bindir}/rst2xml

%files -n python3-%{name}
%defattr(644,root,root,755)
%doc BUGS.txt COPYING.txt README.txt RELEASE-NOTES.txt THANKS.txt docs
%{py3_sitescriptdir}/docutils
%{py3_sitescriptdir}/docutils-%{version}*.dist-info
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docutils.git;a=log;h=master

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> ffdc694
- rel 4, upstream fix for pygments 2.19

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 2fb114a
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d7adb05
- python 3.13 rebuild

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 436a4bf
- Up to 0.21.2; no more python2 support (I guess it's time to resurect python-docutils for py2 module only)

* Mon Jan 15 2024 Jan Palus <atler@pld-linux.org> 9797a7a
- R: python-pygments for code analysis; rel 5

* Fri Jun 23 2023 Jan Palus <atler@pld-linux.org> dfa760c
- R: python*-modules in python*-docutils; rel 4

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> bc5fdc3
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 13315cb
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> d80e199
- updated to 0.18.1
- removed obsolete py3 patch

* Tue Jun 15 2021 Jan Palus <atler@pld-linux.org> c47384b
- switch to python3 in main package; rel 4

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 4b382c2
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c1e211f
- release 2 (by relup.sh)

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 93dcf25
- added py3 patch, adjusted test BRs; tests are passing for me now

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> cdd318e
- up to 0.16

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> cbb8f93
- release 2

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 68dc28c
- BR: setuptools, unify pypi Source URL

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3143ba5
- up to 0.15.2

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 112a356
- updated to 0.15
- loose python3 BRs; strict ones were from the times of invoking 2to3 suffixed with hardcoded py3_ver
- keep docs with python modules (tool packages are optional from python PoV)

* Tue Oct 29 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3433c60
- rel 5; rebuild for python 3.8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 33dcf1a
- rebuild with python 3.8
- release 4 (by relup.sh)

